#ifndef MCT_330_CALCULATORS_H
#define MCT_330_CALCULATORS_H

#include "Mt2Vectors.h"

namespace Mt2 {
/**
   Class which knows how to calculate M_CT.
   (Tovey,http://arxiv.org/abs/0802.2879 )
 
   @author  Chris Lester
*/

  double mct_330   (const LorentzTransverseVector& visibleA,  // 3 d.o.f. 
		    const LorentzTransverseVector& visibleB); // 3 d.o.f.
  double mct_330_Sq(const LorentzTransverseVector& visibleA,  // 3 d.o.f. 
		    const LorentzTransverseVector& visibleB); // 3 d.o.f.
  
   
}

#endif 
