#ifndef MT2_TEST_SUMMERS_H
#define MT2_TEST_SUMMERS_H
#include "Mt2/Mt2Calculator.h"

namespace Mt2{
double mt2Summers(const TwoVector& vis1, 
		  const TwoVector& vis2, 
		  const TwoVector& missing, 
		  double mlsp);


double mt2Lester4(const LorentzTransverseVector& vis1, 
		  const LorentzTransverseVector& vis2, 
		  const TwoVector& missing, 
		  double mlsp);


double mt2Lester3(const TwoVector& vis1, 
		  const TwoVector& vis2,
                  const double mEachVis,
		  const TwoVector& missing, 
		  double mlsp);


double mt2Lester2(const LorentzTransverseVector& vis1, 
		  const LorentzTransverseVector& vis2, 
		  const TwoVector& missing, 
		  double mlsp);

}
#endif
