#ifndef MC_330_CALCULATORS_H
#define MC_330_CALCULATORS_H

#include "Mt2Vectors.h"

namespace Mt2 {
/**
   Class which knows how to calculate M_CT.
   (Tovey,http://arxiv.org/abs/0802.2879 )
 
   @author  Chris Lester
*/

  double mc_330   (const LorentzVector& visibleA,  // 3 d.o.f. 
		   const LorentzVector& visibleB); // 3 d.o.f.
  double mc_330_Sq(const LorentzVector& visibleA,  // 3 d.o.f. 
		   const LorentzVector& visibleB); // 3 d.o.f.
  
   
}

#endif 
